#
# PCW.awk, 21 Aug 26

BEGIN {
	FS=","
	}

	{
	total=0
	for (i=3; i <= NF; i++)
	   total+=$i

	if (NF > 2)
	   print $1 "," $2 "," total/(NF-2)
	next
	}

# 
# 	{
# 	total=0
# 	for (i=3; i <= NF; i++)
# 	   total+=$i
# 
# 	if (NF < 3)
# 	   print $0
# 	else
# 	   print $0 ";" total/(NF-2)
# 	next
# 	}
# 
